# Interface MethodDeclaration

All Superinterfaces:
  `Declaration, ExecutableDeclaration, MemberDeclaration`

All Known Subinterfaces:
  `AnnotationTypeElementDeclaration`

public interface MethodDeclaration extends ExecutableDeclaration
Represents a method of a class or interface. Note that an annotation type element is a kind of method.

Since:
  1.5
Version:
  1.2 04/04/20
Author:
  Joseph D. Darcy, Scott Seligman

## Method Summary

Modifier and Type
Method
Description
`TypeMirror`
`getReturnType()`
Returns the formal return type of this method.

### Methods inherited from interface Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface ExecutableDeclaration

`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

### Methods inherited from interface MemberDeclaration

`getDeclaringType`

## Method Details

### getReturnType

TypeMirror getReturnType()
Returns the formal return type of this method. Returns `VoidType` if this method does not return a value.

Returns:
  the formal return type of this method